
QGIS Application - Bug report #1392

Map Composer Stalls on png export

2008-11-11 06:15 AM - lhbecker -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11452

Description

I i have just installed Windows Q-Gis 1.0.0 preview 2.

My Machine:

Centrino Pro Intel Core 2 Duo, Lenovo T61 Laptop, 2 GBytes RAM,

[[WindowsXP]] Professional Version 2002 SP 2

I have been trying to export PNG from the Map composer. On saving the save dialog disappears, but no file is saved. Qgis then stalls and

I have to use the Task Manager to kill the program.

History

#1 - 2008-11-11 06:54 AM - lhbecker -

I need to correct this. I does not actually stall. It just takes about 3 minutes to save the PNG and then becomes active again.

#2 - 2008-11-11 11:36 AM - Maciej Sieczka -

Replying to [comment:1 lhbecker]:

I need to correct this. I does not actually stall. It just takes about 3 minutes to save the PNG

and then becomes active again.

Always? Even in such simple cases as, say, 300 DPI A4, one Shapefile layer with 10 point features?

If not always, please provide sample dataset and project to reproduce.

For me, on Debian, png export seems sort of slow too, but not that bad as 3 minutes lag.

#3 - 2008-12-04 06:58 AM - Marco Hugentobler

For me, png export seems to be ok (ca. 5s, 300 DPI, A4).

Maybe I should try how it is on windows.

Marco

#4 - 2009-01-19 09:32 AM - Paolo Cavallini
If it's only slowness, it seems appropriate to downgrade its importance

#5 - 2009-07-09 03:54 AM - Giovanni Manghi

My observations:

with qgis 1.2 under both Ubuntu 9.04 and windows xp (both installed on virtual machines), the time required to produce a 300dpi, A2 (7015x4960), png

images, is around 30sec (with all the 16 vector layers of the qgis sample dataset) and do not hangs the program. Producing A4/A3 png images is really

fast.

This seems to me acceptable values. I vote for closing this ticket, please leave feedback.

#6 - 2009-07-10 05:34 AM - lhbecker -

I am no using version 1.0.2. Because it took quite long to produce the png and i was not used to it, I assumed the program had stalled. I recently produced

jpgs form 7 to 8 vector layers, with raster background. It takes quite long still, definitely more than 1 minute on my machine, a Lenovo T61 notebook,

Pentium dual core duo with 2 Gig memory. On the bright side it gives one an opportunity to make coffee.

I agree that the assessment of the program stalling is not accurate, it just takes longer that I initially expected. For being a "stall bug" I agree that the ticket

can be closed. Maybe their be room for optimization here?

#7 - 2009-07-10 05:39 AM - Giovanni Manghi

Replying to [comment:6 lhbecker]:

I agree that the assessment of the program stalling is not accurate, it just takes longer that I initially expected. For being a "stall bug" I agree that the

ticket can be closed. Maybe their be room for optimization here?

Maybe an effort has already been made. If you use the osgeo4w installer give a try to the 1.2 version (you can have it at the same time with the stable

version) and compare the time needed to produce your png maps.

#8 - 2009-07-15 05:19 AM - Giovanni Manghi

Closing this ticket. Reopen if necessary.

#9 - 2009-07-15 05:24 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed
